Bug 6704 - merging records cuts off fields at quotation marks
Summary: merging records cuts off fields at quotation marks
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) critical (vote)
Assignee: Chris Cormack
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-10 16:13 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6704 : Escaping html in the merging records, so " don't break the merge (3.80 KB, patch)
2011-08-29 04:47 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6704 : Escaping html in the merging records, so " don't break the merge (3.88 KB, patch)
2011-08-29 10:56 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 6704 : Escaping html in the merging records, so " don't break the merge (3.96 KB, patch)
2011-08-29 21:19 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-10 16:13:34 UTC
When merging records together using the merge tool you end up loosing data if a field has a quotation mark in it.  Things from the first quote on are cut from the record.  This has been witnessed in 6xx fields and 5xx fields, but I'm assuming it will happen in all fields if there is a quote and the records are merged.
Comment 1 Chris Cormack 2011-08-29 04:41:13 UTC
Can replicate the bug, working on a fix now
Comment 2 Chris Cormack 2011-08-29 04:47:02 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2011-08-29 10:56:24 UTC
Created attachment 5207 [details] [review]
[SIGNED-OFF] Bug 6704 : Escaping html in the merging records, so " don't break the merge

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 4 Ian Walls 2011-08-29 12:35:18 UTC
Template only change, easy to read, marking as Passed QA
Comment 5 Liz Rea 2011-08-29 21:19:13 UTC
Created attachment 5216 [details] [review]
[SIGNED OFF] Bug 6704 : Escaping html in the merging records, so " don't break the merge

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Signed-off-by: Liz Rea <lrea@nekls.org>
Comment 6 Chris Cormack 2011-09-01 09:11:14 UTC
Pushed please test
Comment 7 Chris Nighswonger 2011-10-26 18:02:26 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.